ranges::any Struct Reference

## Friends

template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any &&)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any &)
template<typename T >
T * | any_cast (any *) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
meta::if_c< std::is_reference< T >)||(bool) copyable< T >, T > | any_cast (any const &)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename T >
T const * | any_cast (any const *) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Public Member Functions

| any (any &&) noexcept=default
| any (any const &that)
template<typename TRef , typename T = detail::decay_t<TRef>>
| CPP_TEMPLATE_AUX_0 (requires ` copy_constructible< T > &&(!same_as< T, any >)) any(TRef &&t)
any & | operator= (any &&) noexcept=default
any & | operator= (any const &that)

## Methods

## any_cast

template<typename T >

meta::if_c<std::is_reference<T>) || (bool)copyable<T>, T> any_cast | ( | any & | x | ) |

friend

Exceptions

  bad_any_cast |